org.eclipse.wst.jsdt.chromium

## Interface DebugContext

    public interface DebugContext

An object that matches the execution state of the browser JavaScript VM while suspended. It reconstructs and provides access to the current state of the JavaScript VM.

### Nested Class Summary

Nested Classes
`static interface` `DebugContext.ContinueCallback` A callback for the "continue" request.
`static class` `DebugContext.State` The suspension state.
`static class` `DebugContext.StepAction` JavaScript debugger step actions.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `continueVm(DebugContext.StepAction stepAction, int stepCount, DebugContext.ContinueCallback callback)` Deprecated. see `continueVm(StepAction, int, ContinueCallback, SyncCallback)`
`RelayOk` `continueVm(DebugContext.StepAction stepAction, int stepCount, DebugContext.ContinueCallback callback, SyncCallback syncCallback)` Resumes the JavaScript VM execution using a "continue" request.
`java.util.Collection<? extends Breakpoint>` `getBreakpointsHit()`
`java.util.List<? extends CallFrame>` `getCallFrames()`
`RemoteValueMapping` `getDefaultRemoteValueMapping()`
`ExceptionData` `getExceptionData()`
`JsEvaluateContext` `getGlobalEvaluateContext()`
`JavascriptVm` `getJavascriptVm()`
`DebugContext.State` `getState()`

### Method Detail

#### getState

    DebugContext.State getState()

Returns:
  the JavaScript VM suspension state TODO: consider redesigning it with subtypes.

#### getExceptionData

    ExceptionData getExceptionData()

Returns:
  the current exception state, or `null` if current state is not `EXCEPTION`
See Also:
  `getState()`

#### getCallFrames

    java.util.List<? extends CallFrame> getCallFrames()

Returns:
  a list of call frames for the current JavaScript suspended state (from the innermost (top) frame to the main (bottom) frame)
Throws:
  `MethodIsBlockingException` - if called from a callback because it may need to load necessary scripts

#### getBreakpointsHit

    java.util.Collection<? extends Breakpoint> getBreakpointsHit()

Returns:
  a set of the breakpoints hit on VM suspension with which this context is associated. An empty collection if the suspension was not related to hitting breakpoints (e.g. a step end)

#### continueVm

    RelayOk continueVm(DebugContext.StepAction stepAction,
                       int stepCount,
                       DebugContext.ContinueCallback callback,
                       SyncCallback syncCallback)

Resumes the JavaScript VM execution using a "continue" request. This context becomes invalid until another context is supplied through the `DebugEventListener.suspended(DebugContext)` event.

Parameters:
  `stepAction` - to perform
  `stepCount` - steps to perform (not used if `stepAction == CONTINUE`)
  `callback` - to invoke when the request result is ready

#### continueVm

    void continueVm(DebugContext.StepAction stepAction,
                    int stepCount,
                    DebugContext.ContinueCallback callback)

Deprecated. see `continueVm(StepAction, int, ContinueCallback, SyncCallback)`

#### getGlobalEvaluateContext

    JsEvaluateContext getGlobalEvaluateContext()

Returns:
  evaluate context for evaluating expressions in global scope

#### getJavascriptVm

    JavascriptVm getJavascriptVm()

Returns:
  `JavascriptVm` instance this context was created for

#### getDefaultRemoteValueMapping

    RemoteValueMapping getDefaultRemoteValueMapping()

Returns:
  value mapping that all values have by default; typically unique for a particular `DebugContext`